export class UI {
	constructor(datapointData) {
		this.datapoint = datapointData
		document.addEventListener('keydown', evt=>this.keyHandler(evt))
		document.querySelector('input[name="group"]').focus()
	}
	keyHandler(evt) {
		if (!(evt.altKey && evt.shiftKey))
			return

		evt.preventDefault()
		evt.stopPropagation()

		switch (evt.key) {
			case 'S':
				document.getElementById('form-trigger').submit()
			break
		}
	}
}
